Execute action

Executes a selected app action using the specified connection and input values.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this API to run a single app action directly through the Embedded Journeys API. The action to execute is identified by appAlias and actionAlias. The input fields required for the action can be obtained from the Get app configuration API.

Body Params
string
required

Alias of the action to execute. You can get this from the actions list returned by the Get app configuration API

string
required

Alias of the app in which the action exists

string
required

Unique ID of the connection used to execute the action. You can get this ID from the Get all connections API

json
required

Input values required by the selected action. The keys inside this object must match the fields returned from the Get app configuration API.
Syntax: {"<field_key_1>": "", "<field_key_2>": ""} Example: {"pageSize": "5"}

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json